<?
 /*SCRIPT PARA ALMACENAR LAS NOTAS DE LAS EVALUACIONES EN LINEA EN FORMA MANUAL*/
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/ 
  include("../fnc.php");
  enlinea_c();

  if(!$tipo_trn){
    alert("Parámetros incorrectos","frm_login.php");
  }

  switch ($tipo_trn){
  case "Add":
  $id_ev=dec($ide);
  $cont_i=0;
  for($i=1;$i<=$txtmax;$i++){
    $tmp="txtnota{$i}";
    $tmpc="carnet{$i}";
    if(!empty($$tmp)){
       $qver=runsql("select * from respuestas_d where evaluacion = '$id_ev' and alumno = '$carnet' and pregunta = 0 and respuesta = 'INM = Ingreso de nota manual'");
       if(numero_registros($qver)==0){
         $carnet=$$tmpc;
         $campos=Array();
         $campos[evaluacion]=$id_ev;
         $campos[pregunta]=0;
         $campos[alumno]=$carnet;
         $campos[respuesta]="INM = Ingreso de nota manual";
         $campos[nota]=$$tmp;
         $campos[fecha]=$fechahora;
         $campos[ip]=$rmhost;
         $ins=insertar("respuestas_d",$campos,0);
       }       
    }
  }// fin del ciclo for
  
  //alert("Se almacenaron $cont_i notas","frm_notas.php?idg=$idg&idc=$idc&idu=$idu&sid=$sid");
  header("Location: frm_ingresonotaevaluacionmanual.php?ide=$ide&gid=$gid&cid=$cid&sid=$sid&uid=$uid");
  break; // fin Add

  }
?>
